org.apache.ignite.internal.sql.command

## Class SqlBeginTransactionCommand

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlBeginTransactionCommand

All Implemented Interfaces:
  SqlCommand

    public class SqlBeginTransactionCommand
    extends Object
    implements SqlCommand

BEGIN [TRANSACTION] command.

### Constructor Summary

Constructors
Constructor and Description
`SqlBeginTransactionCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SqlCommand` `parse(SqlLexer lex)` Parse command.
`String` `schemaName()`
`void` `schemaName(String schemaName)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SqlBeginTransactionCommand

    public SqlBeginTransactionCommand()

### Method Detail

#### parse

    public SqlCommand parse(SqlLexer lex)

Parse command.

Specified by:
  `parse` in interface `SqlCommand`
Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### schemaName

    public String schemaName()

Specified by:
  `schemaName` in interface `SqlCommand`
Returns:
  Schema name.

#### schemaName

    public void schemaName(String schemaName)

Specified by:
  `schemaName` in interface `SqlCommand`
Parameters:
  `schemaName` - Schema name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020